<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

</head>

<body>
    <script>
        function prodImp(arrayNums) {
            let result = 1;
            for (const number of arrayNums) {
                if (number % 2 != 0) {
                    result *= number;
                }
            }
            alert(result);
        }
        //prodImp([1, 0, 1, 0, 1, 0]);

        function repeatChr(stringInput, multiplier) {
            let stringOutput = "";
            for (const char of stringInput) {
                for (let i = 0; i < multiplier; i++) {
                    stringOutput += char;
                }
            }
            alert(stringOutput);
        }
        //repeatChr("bob", 2)

        function calculaTip(price, serviceQualification) {
            let tip;
            let tipRate;
            switch (serviceQualification.toLowerCase()) {
                case "malo":
                    tipRate = 0;
                    break;
                case "excaso":
                    tipRate = 5;
                    break;
                case "bueno":
                    tipRate = 10;
                    break;
                case "estupendo":
                    tipRate = 15;
                    break;
                case "excelente":
                    tipRate = 20;
                    break;
                default:
                    alert(tip = "Calificación no reconocida");
                    break;
            }
            tip = (price * (tipRate/100)).toFixed();
            alert(tip);   
        }
        //calculaTip(20, "ExceLEnte")


        const modulos = ["m02", "m03", "m04", "m05", "m06", "m07", "m08", "FOL"]
        const alumnoNotas = [[8, 9, 4], [9, 10], [6, 8, 10], [4], [8, 4, 7], [], [7, 5, 9, 10],[10]]
        const alumno = ["David", "López Fernandez", "DAWe", "29 / 04 / 2003"];

        const months = ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Julio", "Junio", "Agosto", "septiembre"]

        function cargaDatos() {
            
            let h1 = document.createElement("h1");
            let nombreAlumno = document.createTextNode(alumno[1]);

            h1.appendChild(nombreAlumno);
            document.body.appendChild(h1);


            let h2Curso = document.createElement("h2");
            let curso = document.createTextNode("Curso: " + alumno[2]);

            h2Curso.appendChild(curso);
            document.body.appendChild(h2Curso);


            let h2BDay = document.createElement("h2");
            let bDayDate = alumno[3].replace("/", " ").split(" ");
            let bDayDateTransformed = bDayDate[0] + months[bDayDate[3][1]-1];
            let bDay = document.createTextNode("Cumpleaños: " + bDayDateTransformed);

            h2BDay.appendChild(bDay);
            document.body.appendChild(h2BDay);


            let h2Notas = document.createElement("h2");
            let notasTitle = document.createTextNode("Notas:");

            h2Notas.appendChild(notasTitle);
            document.body.appendChild(h2Notas);

            
        }

        function cargaNotas() {
            let moduloList = document.createElement("ul");

            for (let i = 0; i < modulos.length; i++) {
                
                    let moduloListElement = document.createElement("li");
                    let moduloText = document.createTextNode(modulos[i].toUpperCase());
    
                    moduloListElement.appendChild(moduloText);
                    moduloList.appendChild(moduloListElement);
                    document.body.appendChild(moduloList);
    
                    
                     for (let j = 0; j < alumnoNotas[i].length; j++) {
                           let ufList = document.createElement("ul");
                           let ufID = 0;

                               let ufListElement = document.createElement("li");
                               let ufText = document.createTextNode("Unidad Formativa " + (ufID+1) + ": " + alumnoNotas[i][j]);
       
                               ufListElement.appendChild(ufText);
                               ufList.appendChild(ufListElement);
                               
                               ufID++;
                           moduloListElement.appendChild(ufList);
                       
                     }
                
            }
        }

        cargaDatos();
        cargaNotas();
        
    </script>
</body>

</html>